Added by admin, last edited by admin on Aug 04, 2010  (view change)

Labels:

Enter labels to add to this page:
Wait Image 
Looking for a label? Just start typing.

BookingBug REST API: events

Purpose

Used to get list of events anf their attendees.

URL

http://[site].bookingbug.com/api/event.format

Formats

json, xml

Authentication

Requires business API access

Examples

Get all events list

XML

curl -basic --url http://[site].bookingbug.com/api/event.xml -uusername:password -H 'Content-type: text/xml' -X GET
curl -basic --url http://[site].bookingbug.com/api/event.xml -uusername:password -H 'Content-type: text/xml' -X GET -d "
<?xml version='1.0' encoding='UTF-8'?>
  <event>
    <company_id>id_of_sub_company</company_id>
  </event>
"

(for multiple sub-companies)

JSON

curl -basic --url http://[site].bookingbug.com/api/event.json -uusername:password -H 'Content-type: application/json' -X GET
curl -basic --url http://[site].bookingbug.com/api/event.json -uusername:password -H 'Content-type: application/json' -X GET -d "
{"event":{"company_id":id_of_sub_company}}
"

(for multiple sub-companies)

Get a list of all attendees of a specific event

XML

curl -basic --url http://[site].bookingbug.com/api/event/attendees/[idx].xml -uusername:password -H 'Content-type: text/xml' -X GET
curl -basic --url http://[site].bookingbug.com/api/event/attendees[idx].xml -uusername:password -H 'Content-type: text/xml' -X GET -d "
<?xml version='1.0' encoding='UTF-8'?>
  <event>
    <company_id>id_of_sub_company</company_id>
  </event>
"

(for multiple sub-companies)

JSON

curl -basic --url http://[site].bookingbug.com/api/event/attendees/[idx].json -uusername:password -H 'Content-type: application/json' -X GET
curl -basic --url http://[site].bookingbug.com/api/event/attendees/[idx].json -uusername:password -H 'Content-type: application/json' -X GET -d "
{"event":{"company_id":id_of_sub_company}}
"

(for multiple sub-companies)